Bug 173045 - Modular X: Add "Obsoletes: xorg-x11-tools" to each tool package
Modular X: Add "Obsoletes: xorg-x11-tools" to each tool package
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks: xorg-modular
  Show dependency treegraph
 
Reported: 2005-11-12 17:15 EST by Nicolas Mailhot
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-13 04:31:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2005-11-12 17:15:58 EST
Each of the modular X tool packages should have:

Obsoletes: xorg-x11-tools

like it's done for xorg-x11-libs in modular X library packages
Comment 1 Mike A. Harris 2005-11-13 04:31:48 EST
Over the last few hours, I've went through most of the new modular packages
to rebuild them to pick up the libXaw fix, and at the same time I have
reviewed each binary in the new package, and reviewed where it was in
xorg and XFree86 packaging, and added the appropriate Obsoletes lines.

That should be done now for xorg-x11, xorg-x11-devel, xorg-x11-libs,
xorg-x11-tools for all packages now I believe.  It's possible that a
few might have slipped past me, but I think I got most if not all of
them now.

Once the next modular packages are pushed to my p.r.c dir (it's empty now,
so just watch the dir), if you find any more missing, please file a new
bug report with details, and I'll try to fix them up ASAP.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.